import javafx.scene.paint.Color;
import javax.swing.*;

import java.awt.Event;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.math.*;
import java.util.*;

/**
* Clase Menú. Menú principal del programa
*/
public class menu extends JFrame implements ActionListener{
	
/**
* Panel que se agrega
*/
	JPanel panel;	
/**
* Constructor de menú
*/	
	public menu(){
	
	/////////// Se setean las propiedades del panel ////////////
	this.setTitle("Menu Principal");
	this.setVisible(true);
	this.setBounds(50, 50, 500, 500);
		
	panel = new JPanel();
	panel.setLayout(null);

	JMenuBar mb = new JMenuBar();
	JMenu menu = new JMenu ("Edit");
    mb.add(menu);
    JMenu subMenu = new JMenu("Insert");  
    menu.add(subMenu);
	
	
	
	this.add(panel); ////agrega el panel
	
	
	
	this.setDefaultCloseOperation(this.EXIT_ON_CLOSE); ////cierra el proceso de java
	}

	///////////////////////////////////////////////////////////////////////////////////////////////////
/**
* Se realiza el evento
* @param arg0 Evento a realizar
*/		
	public void actionPerformed(ActionEvent arg0) {
	
		////////////////////////////////////////////////////////////////
		/*
		
		if(arg0.getSource().equals(boton1)){
			
		}
		if(arg0.getSource().equals(boton2)){
			
		}
		*/
	}

}